## refit 0.14

=== libeg/Makefile ===
#
# libeg/Makefile
# Build control file for the libeg library
#

LOCAL_CPPFLAGS  = -I.

OBJS            = screen.o image.o text.o load_bmp.o load_icns.o
TARGET          = libeg.a

all: $(TARGET)

include ../Make.common

# EOF
