=== debian/control ===
Source: refit
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Julien BLACHE <jblache@debian.org>
Build-Depends: debhelper (>= 5), gnu-efi (>= 3.0i-3), gcc-multilib, syslinux-common, python
Standards-Version: 3.8.4

Package: refit
Architecture: i386 amd64 kfreebsd-amd64
Depends: ${misc:Depends}, gptsync
Description: graphical boot menu for ia32 and x64 EFI systems
 rEFIt is a boot menu and maintenance toolkit for EFI-based (Extensible
 Firmware Interface) machines like the Intel-based Macs. You can use it
 to boot multiple operating systems easily, including triple-boot setups
 with Apple's Boot Camp.

Package: gptsync
Architecture: i386 amd64 kfreebsd-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: refit
Description: GPT and MBR partition tables synchronisation tool
 gptsync is a utility to maintain an MBR partition table synchronised with
 a GPT partition table used as reference. The resulting MBR partition table
 can contain up to 4 partitions; extended partitions are not supported.
 .
 An MBR partition table is required to use legacy bootloaders (lilo, grub) on
 EFI-based (Extensible Firmware Interface) machines like the Intel-based Macs.
 gptsync is usually used in combination with the rEFIt boot menu on such
 machines.

Package: gptsync-udeb
Section: debian-installer
Architecture: i386 amd64 kfreebsd-amd64
XB-Package-Type: udeb
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GPT and MBR partition tables synchronisation tool
